summaryrefslogtreecommitdiffstats
path: root/deps/qt5-speech/slack-desc (unfollow)
Commit message (Collapse)AuthorFilesLines
2019-11-11Deps: remove qt5-speech Eric Hameleers1-19/+0
...because this is already all contained in the big qt5 package...
2019-02-14Add text-to-speech support to Slackware Eric Hameleers1-11/+11
Compile order: pcaudiolib, espeak-ng, pyxdg, dotconf, flite, speech-dispatcher, qt5-speech These are the stock configurations, no additional voices were added. I'd like to hear about anything that's missing or incorrectly configured.
2016-04-20Refresh the 'deps' for upcoming KDE 5_16.04. Eric Hameleers1-12/+12
New packages: - deps/ninja (needed for easier compilation of qt5-webkit) - deps/qt5-webkit (sources have been split off qt5)
2015-01-24Add support for GTK applications to dock to the Plasma 5 systray. Eric Hameleers1-12/+12
json-glib: added dep - a JSON library built on glib.. libdbusmenu-gtk: added dep - GTK implementation of the DBusMenu protocol. libindicator: added dep - support functions for indicators. libappindicator: added dep - provides the actual Plasma 5 systray support for GTK applications.
2015-01-09Prepare for new KDE 5: Frameworks 5.6.0, Plasma 5.1.2, Applications 14.12.0. Eric Hameleers1-12/+12
KDE 5_1501 ========== This is going to be KDE 5 for Slackware-current, composed of Frameworks 5.6.0, Plasma 5.1.2 and Applications 14.12.0. Note that there is still a lot of KDE 4 stuff in here, which is necessary to support all the Applications that have not yet been ported to KDE Frameworks 5. The Applications 15.04 (march 2015) release should offer a lot more KF5 ports. Preliminary build procedure (not verified 100% yet): ---------------------------------------------------- - (crude) get rid of Slackware's KDE: removepkg /var/log/packages/*-4.10.5-* - build all the deps using "updates.SlackBuild" script in the "deps/" directory - note that extra-cmake-modules is required here as well as when building the frameworks, so I just copied it from frameworks to deps. - logoff/login to activate Qt5 profile script. - removepkg akonadi-qt5 or else kdepimlibs-4.14.3 picks up Qt5 dependencies and its compilation will fail as a result - build all the KDE 4 stuff in the "kde/" directory, using "./KDE.SlackBuild kde libs kdebase:nepomuk-core kdepimlibs kdebase kdebindings kdebase:kde-workspace k depim extragear" - installpkg akonadi-qt5 - build the remaining KDE 5 stuff in the "kde/" directory, using "./KDE.SlackBui ld frameworks plasma plasma-extra polkit-kde applications" - build kdei ============================================================================== Eric Hameleers / alien at slackware dot com / 09-jan-2015
2014-12-22KDE 5 for Slackware current (post-14.1) (16sep2014)5 Eric Hameleers1-12/+12
The KDE 5 Software Compilation no longer exists as such. The components are now: - Frameworks 5.2.0 - Plasma 5.0.2 These packages need to be installed on top of the most recent KDE 4.14.x because Applications tarballs which build on top of Frameworks and Plasma have not yet been released.
2014-12-22KDE 4.13.3 for Slackware 14.1 (23aug2014)4.13.3 Eric Hameleers1-11/+11
2014-12-22KDE 4.12.5 for Slackware 14.1 (27apr2014)4.12.5 Eric Hameleers1-0/+19